(* Dosebase *)
(* Copyright 2005-2007 Berke DURAK, INRIA Rocquencourt and The EDOS Project. *)
(* Released under the GNU LGPL version 2. *)

val decompose_key : string -> string * string list
module Out :
  sig
    type t
    val open_out : string -> t
    val close_out : t -> unit
    val add_package :
      t ->
      archive:string ->
      day:Lifetime.day ->
      (string * string * string list) list ->
      unit
    val rebuild_index : string -> unit
  end
module In :
  sig
    type t
    type package
    val open_in : string -> t
    val close_in : t -> unit
    val iter :
      ?package:(unit_name:string -> version:string -> architecture:string -> package -> unit) ->
      ?lifetime:(archive:string -> unit_name:string -> version:string ->
			           architecture:string -> Lifetime.lifetime -> unit) ->
      t ->
      unit
    val iter_over_fields : (string * string * string list -> unit) -> t -> package -> unit
    val find_package : t -> unit_name:string -> version:string -> architecture:string -> package
    val find_lifetime : t -> architecture:string -> archive:string -> unit_name:string -> version:string -> Lifetime.lifetime
    val get_package_id : t -> package -> int
    val get_field : t -> package -> string -> string * string list
    val get_field_first : t -> package -> string -> string
    val known_fields : t -> string list
  end
