(* Binary_io *)

(** I/O functions for binary data. *)

val out_of_channel : out_channel:out_channel -> ?compress:bool -> unit -> Fragments.io_out
  (** Create a reader from an Ocaml input channel, which must be open in binary mode. *)
val in_of_channel : in_channel:in_channel -> ?compress:bool -> unit -> Fragments.io_in
  (** Create a writer from an Ocaml output channel, which must be open in binary mode. *)
val in_of_string : str:string -> ?offset:int -> ?length:int -> ?compress:bool -> unit -> Fragments.io_in
  (** Create a reader from an Ocaml string. *)
val out_to_string : ?size:int -> ?compress:bool -> unit -> Fragments.io_out * (unit -> string)
  (** Create a writer fo a string.  Returns the writer and a function that will return the generated string. *)
