(* Generic_io *)
(* Copyright 2005-2007 Berke DURAK, INRIA Rocquencourt and The EDOS Project. *)
(* Released under the GNU LGPL version 2. *)

type file_format =
| Bin
| Cbn
| Txt
| Asc

exception Unknown_format

val format_list : (file_format * string) list

val format_to_id : file_format -> string
val id_to_format : string -> file_format

val in_from_channel : ?header:bool -> ?fmt:file_format -> in_channel -> Fragments.io_in
val out_from_channel : ?header:bool -> ?fmt:file_format -> out_channel -> Fragments.io_out

val save_to_file : ?header:bool -> ?fmt:file_format -> 'a Io.literate -> 'a -> string -> unit
val save_to_channel : ?header:bool -> ?fmt:file_format -> 'a Io.literate -> 'a -> out_channel -> unit
val load_from_file : 'a Io.literate -> string -> 'a
val load_from_channel : ?header:bool -> ?fmt:file_format -> 'a Io.literate -> in_channel -> 'a

val to_string : ?header:bool -> ?fmt:file_format -> 'a Io.literate -> 'a -> string
val from_string : ?header:bool -> ?fmt:file_format -> ?offset:int -> 'a Io.literate -> string -> 'a
val in_from_string : ?header:bool -> ?fmt:file_format -> ?offset:int -> string -> Fragments.io_in
