(* Human_io *)

(** I/O functions for human-readable, pretty-printed data. *)

val in_of_stream : stream:char Stream.t -> unit -> Fragments.io_in
  (** Create a reader from a character stream. *)
val in_of_channel : in_channel:in_channel -> unit -> Fragments.io_in
  (** Create a reader from an Ocaml input channel. *)
val out_of_formatter : formatter:Format.formatter -> ?indent:bool -> unit -> Fragments.io_out
  (** Create a writer from a formatter. *)
val out_of_channel : ?condensed:bool -> out_channel:out_channel -> ?indent:bool -> unit -> Fragments.io_out
  (** Create a writer from an Ocaml output channel. *)
